use maud::{Markup, html};

use super::empty;

pub fn desktop_minimal(content: Markup, name: &str) -> Markup {
    let content = html! {
        div class="w-full h-screen flex" {
            div class="w-56" {
                (sidebar())
            }
            div class="w-full overflow-y-auto" {
                (content)
            }
        }
    };

    empty(content, name)
}

pub fn desktop(content: Markup, name: &str) -> Markup {
    let content = html! {
        div class="pl-10 py-10 w-full max-w-2xl" {
            (content)
        }
    };

    desktop_minimal(content, name)
}

fn sidebar() -> Markup {
    html! {
        ul class="menu w-full h-full bg-base-200" {
            li {
                div class="pt-3 pb-6 mt-3" {
                    h2 { "Timo's Workouts" }
                }
                a href="/" {
                    "Overview"
                }
                a href="/workouts" {
                    "Workouts"
                }
                a href="/exercises" {
                    "Exercises"
                }
            }
        }
    }
}
